{
  "_format": "hh-sol-artifact-1",
  "contractName": "ZkWalletFactory",
  "sourceName": "contracts/ZkWalletFactory.sol",
  "abi": [
    {
      "inputs": [],
      "stateMutability": "nonpayable",
      "type": "constructor"
    },
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": false,
          "internalType": "address",
          "name": "walletAddress",
          "type": "address"
        }
      ],
      "name": "WalletCreated",
      "type": "event"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "_hashCheckVerifier",
          "type": "address"
        },
        {
          "internalType": "uint256",
          "name": "_ownerPasswordHash",
          "type": "uint256"
        },
        {
          "internalType": "address[]",
          "name": "_trustees",
          "type": "address[]"
        },
        {
          "internalType": "uint256[]",
          "name": "_passwordHashes",
          "type": "uint256[]"
        },
        {
          "internalType": "uint256",
          "name": "_thresholdForRecovery",
          "type": "uint256"
        },
        {
          "internalType": "uint256",
          "name": "_root",
          "type": "uint256"
        },
        {
          "internalType": "address",
          "name": "_otpVerifier",
          "type": "address"
        }
      ],
      "name": "deployWallet",
      "outputs": [
        {
          "internalType": "address",
          "name": "walletAddress",
          "type": "address"
        }
      ],
      "stateMutability": "nonpayable",
      "type": "function"
    }
  ],
  "bytecode": "[encoded data, 38224 characters]",
  "deployedBytecode": "[encoded data, 38160 characters]",
  "linkReferences": {},
  "deployedLinkReferences": {}
}
